PHP Manual
Prev |  | Next

# ZipArchive::deleteIndex

(no version information, might be only in CVS)

ZipArchive::deleteIndex -- delete an entry in the archive using its index

## Description

bool ZipArchive::deleteIndex ( int index )

Delete an entry in the archive using its index.

## Parameters

`index`

  Index of the entry to delete.

## Return Values

Returns `TRUE` on success or `FALSE` on failure.

## Examples

Example 1. Delete file from archive using its index

`<?php $zip = new ZipArchive; if ($zip->open('test.zip') === TRUE) { $zip->deleteIndex(2); $zip->close(); echo 'ok'; } else { echo 'failed'; } ?>`

Prev | Home | Next
ZipArchive::close | Up | ZipArchive::deleteName